<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li class="current"><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index_m">- m -</a></h3><ul>
<li>magic
: <a class="el" href="structtivx__reference__t.html#a1ddc639bc476ab1eec28de9a264f28cd">tivx_reference_t</a>
</li>
<li>map_addr
: <a class="el" href="structtivx__array__map__info__t.html#a5e5de0b77a54378a551b18a416efa4d3">tivx_array_map_info_t</a>
, <a class="el" href="structtivx__image__map__info__t.html#aa08494ec477c5acef58f7c99c5c404f0">tivx_image_map_info_t</a>
</li>
<li>map_size
: <a class="el" href="structtivx__array__map__info__t.html#a7fc7263865726c5992423a1477b58cdc">tivx_array_map_info_t</a>
, <a class="el" href="structtivx__image__map__info__t.html#a1d5a67c881bd1291b58fadc3d4c19808">tivx_image_map_info_t</a>
</li>
<li>maps
: <a class="el" href="structtivx__array__t.html#aad4e747dfb2108437a38e7c2f16d3fa4">tivx_array_t</a>
, <a class="el" href="structtivx__image__t.html#a2f6ce351ec1a5f5f777e4128c2f70462">tivx_image_t</a>
</li>
<li>mat
: <a class="el" href="structtivx__meta__format__t.html#a88cd649a6af5dc07308c2dbaea2e1e22">tivx_meta_format_t</a>
</li>
<li>matrix
: <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ad9500ced9c5373408f56c18b314a3784">tivx_obj_desc_shm_entry_t</a>
, <a class="el" href="structtivx__object__t.html#aeaffeb7a1eed56dcbd85215b4a3d1b62">tivx_object_t</a>
</li>
<li>max
: <a class="el" href="structvx__perf__t.html#ac029bfb16aa32e7859108d348ec426b0">vx_perf_t</a>
</li>
<li>max_ele
: <a class="el" href="structtivx__queue.html#ae822a8207e3f93650a362941a80d3de7">tivx_queue</a>
</li>
<li>mem_alloc_callback
: <a class="el" href="structtivx__reference__t.html#a8aa4044294f8eb1c30ce4d09afd1c4fa">tivx_reference_t</a>
</li>
<li>mem_offset
: <a class="el" href="structtivx__image__t.html#a5723b8f5dcd3bce020a438a75aca554e">tivx_image_t</a>
</li>
<li>mem_ptr
: <a class="el" href="structtivx__obj__desc__remap__t.html#a019afce79142d5ce37c827c03bccd841">tivx_obj_desc_remap_t</a>
, <a class="el" href="structtivx__obj__desc__matrix__t.html#a3eba6f8e6813d20df3b67d09f99642a1">tivx_obj_desc_matrix_t</a>
, <a class="el" href="structtivx__obj__desc__lut__t.html#a21a58447f27b6686909dbe7a5b04f686">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__convolution__t.html#a1fa7338af6cb4cd3b93285d4cdc2b89f">tivx_obj_desc_convolution_t</a>
, <a class="el" href="structtivx__obj__desc__distribution__t.html#a1751208fae568bd616273fc6c76a4f4d">tivx_obj_desc_distribution_t</a>
, <a class="el" href="structtivx__obj__desc__array__t.html#a45d5d522c10966b8263517901258b438">tivx_obj_desc_array_t</a>
, <a class="el" href="structtivx__obj__desc__image__t.html#a61381d3666b015372353a2fb75a2a004">tivx_obj_desc_image_t</a>
</li>
<li>mem_size
: <a class="el" href="structtivx__obj__desc__distribution__t.html#a4d0014adf109b4f4cfe75b9b007dc66a">tivx_obj_desc_distribution_t</a>
, <a class="el" href="structtivx__obj__desc__remap__t.html#adbb7fdab2d22630c81a4d85e5ceb144c">tivx_obj_desc_remap_t</a>
, <a class="el" href="structtivx__mem__stats.html#a62e469f9bc1c18e5f33aef706bbb462a">tivx_mem_stats</a>
, <a class="el" href="structtivx__obj__desc__convolution__t.html#a1af2cb0ced17a20cf926e2fc4111ac51">tivx_obj_desc_convolution_t</a>
, <a class="el" href="structtivx__obj__desc__lut__t.html#a6a0398d2007846de01f0f3d7f0bc92d9">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__array__t.html#a10cd791f609de1803bc2acb669880bfe">tivx_obj_desc_array_t</a>
, <a class="el" href="structtivx__obj__desc__matrix__t.html#afd7554615071191e721c0956d09e5682">tivx_obj_desc_matrix_t</a>
, <a class="el" href="structtivx__obj__desc__image__t.html#a2fa8287d36905581e76fbc6f036892f7">tivx_obj_desc_image_t</a>
</li>
<li>mem_type
: <a class="el" href="structtivx__shared__mem__ptr__t.html#aa11f6d52bfa3911e16d82f7b76306a2f">tivx_shared_mem_ptr_t</a>
</li>
<li>meta_format
: <a class="el" href="structtivx__object__t.html#a537358a20e6e53fb6442da04ad29b242">tivx_object_t</a>
</li>
<li>min
: <a class="el" href="structvx__perf__t.html#ad1606f8c397b230151c1230eb178a777">vx_perf_t</a>
</li>
<li>mode
: <a class="el" href="structvx__border__t.html#a443c0076d98cb53da5ae767627673b5b">vx_border_t</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
